### Method

# WebKit2 InputMethodContext get_input_purpose

#### Declaration [src]

    WebKitInputPurpose
    webkit_input_method_context_get_input_purpose (
      WebKitInputMethodContext* context
    )

#### Description [src]

Get the value of the `WebKitInputMethodContext:input-purpose` property.

Available since: | 2.28

Gets property | `WebKit2.InputMethodContext:input-purpose`

#### Return value

Returns: | `WebKitInputPurpose`
| The `WebKitInputPurpose` of the input associated with `context`.